Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts
Interface FontDescriptor

All Superinterfaces:
  FontMetrics

All Known Implementing Classes:
  CustomFont, LazyFont

public interface FontDescriptor
extends FontMetrics

This interface enhances the font metrics interface with access methods to value needed to register fonts in various target formats like PDF or PostScript.

Method Summary
`int` | `getAscender()` Returns the ascender value of the font.
`int` | `getCapHeight()` Returns the capital height of the font.
`int` | `getDescender()` Returns the descender value of the font.
`int` | `getFlags()` Returns the flags for the font.
`int[]` | `getFontBBox()` Returns the font's bounding box.
`int` | `getItalicAngle()` Returns the italic angle for the font.
`int` | `getStemV()` Returns the vertical stem width for the font.
`boolean` | `isEmbeddable()` Indicates if this font may be embedded.
`boolean` | `isSymbolicFont()` Indicates whether the font is a symbolic font.

Methods inherited from interface org.apache.fop.fonts.FontMetrics
`getAscender, getCapHeight, getDescender, getEmbedFontName, getFamilyNames, getFontName, getFontType, getFullName, getKerningInfo, getMaxAscent, getWidth, getWidths, getXHeight, hasKerningInfo`

Method Detail

### getAscender

    public int getAscender()

  Returns the ascender value of the font. (Ascent in pdf spec)

  Returns:
    the ascender

### getCapHeight

    public int getCapHeight()

  Returns the capital height of the font.

  Returns:
    the capital height

### getDescender

    public int getDescender()

  Returns the descender value of the font. (Descent in pdf spec)

  Returns:
    the descender value

### getFlags

    public int getFlags()

  Returns the flags for the font. (See pdf spec)

  Returns:
    the flags

### isSymbolicFont

    public boolean isSymbolicFont()

  Indicates whether the font is a symbolic font.

  Returns:
    true if the font is a symbolic font (i.e. Symbol or ZapfDingbats)

### getFontBBox

    public int[] getFontBBox()

  Returns the font's bounding box.

  Returns:
    the bounding box

### getItalicAngle

    public int getItalicAngle()

  Returns the italic angle for the font.

  Returns:
    the italic angle

### getStemV

    public int getStemV()

  Returns the vertical stem width for the font.

  Returns:
    the vertical stem width

### isEmbeddable

    public boolean isEmbeddable()

  Indicates if this font may be embedded.

  Returns:
    True, if embedding is possible/permitted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.